Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sourceforge.pebble.domain
Enum MessageType

    java.lang.Object
      java.lang.Enum<MessageType>
          net.sourceforge.pebble.domain.MessageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageType>

    public enum MessageType

extends java.lang.Enum<MessageType>

Represents a message type.

Author:
  Simon Brown

Enum Constant Summary
`ERROR`
`INFO`
`WARN`

Method Summary
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`static MessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final MessageType INFO

### WARN

    public static final MessageType WARN

### ERROR

    public static final MessageType ERROR

Method Detail

### values

    public static final MessageType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageType c : MessageType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getId

    public java.lang.String getId()

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.